Webhooks / REST API

Delete webhook endpoint

Delete an outbound webhook endpoint and cancel work that has not started.

DELETE /api/v1/webhook-endpoints/{endpointId}Deterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
endpointIdRequired · string
See the input schema for this field.
Request example
curl -X DELETE "https://app.pipeline.help/api/v1/webhook-endpoints/00000000-0000-4000-8000-000000000000" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "endpointId": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "endpointId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview